Bug 424213

Summary: in text editor, after clicking OK in editor settings window text and all its options are reverted
Product: krita Reporter: woof
Component: Tool/TextAssignee: Awakening <lucidsunlight>
Status: RESOLVED FIXED    
Severity: normal CC: ahab.greybeard, tamtamy.tymona
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Manjaro   
OS: Linux   
Latest Commit: Version Fixed In:

Description woof 2020-07-14 19:56:28 UTC
SUMMARY
if text is just created and not saved in text editor it will be changed when you go to setting and click ok. it doesn't affect font size or type, only color.
it also happens if you save changes, quit text editor, open it once again and again try to change color, go to settings and click ok.
tested on manjaro kde and ubuntu 18 (snap package).


STEPS TO REPRODUCE
1. create text area, so the text editor pops up
2. change text color, size and font type
3. in text editor window go to settings > settings
4. don't change any settings and click ok

OBSERVED RESULT
text color is changed to the previous or default (if text was newly created)
size and font type stay unchanged

EXPECTED RESULT
text color stays the same

SOFTWARE/OS VERSIONS
manjaro kde latest (14.07.2020). specs: https://pastebin.com/vVYLjhDR
ubuntu 18 lts
Comment 1 Ahab Greybeard 2020-07-16 10:55:22 UTC
I can confirm this for appimages from 4.2.0 to the latest Jul 15 5.0.9 prealpha (git c2b2b79) on Debian 10 MATE desktop...

... Except for the following points:

The changes to text font, size, colour and any text addition/deletions are all reverted when the Settings OK button is pressed.
(This also happens if you do make changes within the Settings.)
Comment 2 Bug Janitor Service 2020-11-18 11:48:32 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/krita/-/merge_requests/593
Comment 3 Awakening 2020-11-18 13:42:09 UTC
Git commit bf636b2d4c218554f044262c6a5733212ebc2e54 by Lucid Sunlight.
Committed on 18/11/2020 at 11:35.
Pushed by rempt into branch 'master'.

Don't switch to the same editor tab again

If we do, we're converting the contents of the other tab to the current tab,
and reverting all changes we've made (even if we saved).

M  +3    -2    plugins/tools/svgtexttool/SvgTextEditor.cpp

https://invent.kde.org/graphics/krita/commit/bf636b2d4c218554f044262c6a5733212ebc2e54
Comment 4 Halla Rempt 2020-11-25 14:37:44 UTC
Git commit a204f65ad8893b44f627d2ce7ad5d347934b224c by Boudewijn Rempt, on behalf of Lucid Sunlight.
Committed on 25/11/2020 at 14:37.
Pushed by rempt into branch 'krita/4.3'.

Don't switch to the same editor tab again

If we do, we're converting the contents of the other tab to the current tab,
and reverting all changes we've made (even if we saved).
(cherry picked from commit bf636b2d4c218554f044262c6a5733212ebc2e54)

M  +3    -2    plugins/tools/svgtexttool/SvgTextEditor.cpp

https://invent.kde.org/graphics/krita/commit/a204f65ad8893b44f627d2ce7ad5d347934b224c